Bug 736503 - Cannot start bash shell instead of anaconda installer
Summary: Cannot start bash shell instead of anaconda installer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 16
Hardware: ppc64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 21:04 UTC by Mark Hamzy
Modified: 2012-01-13 19:33 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-13 19:33:26 UTC


Attachments (Terms of Use)

Description Mark Hamzy 2011-09-07 21:04:05 UTC
Welcome to the 64-bit Fedora 20110907 installer!
Hit <TAB> for boot options.


Welcome to yaboot version 1.3.16 (Red Hat 1.3.16-4.fc16)
Enter "help" to get some basic usage information
boot: linux serial systemd.log_target=kmsg systemd.log_level=debug rd.break
Please wait, loading kernel...
   Elf64 kernel loaded...
Loading ramdisk...
ramdisk loaded at 04380000, size: 20162 Kbytes
OF stdout device is: /vdevice/vty@30000000
Preparing to boot Linux version 3.0.1-5.fc16.kh.ppc64 (mockbuild@ppc-comm02) (gcc version 4.6.1 20110804 (Red Hat 4.6.1-7) (GCC) ) #1 SMP Thu Aug 11 23:47:44 UTC 2011
Max number of cores passed to firmware: 32 (NR_CPUS = 128)
Calling ibm,client-architecture-support... done
command line: ro root=live:CDLABEL=PBOOT serial systemd.log_target=kmsg systemd.log_level=debug rd.break
memory layout at init:
  memory_limit : 0000000000000000 (16 MB aligned)
  alloc_bottom : 0000000005731000
  alloc_top    : 0000000010000000
  alloc_top_hi : 0000000010000000
  rmo_top      : 0000000010000000
  ram_top      : 0000000010000000
instantiating rtas at 0x000000000ee90000... done
boot cpu hw idx 0
starting cpu hw idx 4... done
starting cpu hw idx 8... done
starting cpu hw idx 12... done
starting cpu hw idx 16... done
starting cpu hw idx 20... done
starting cpu hw idx 24... done
starting cpu hw idx 28... done
copying OF device tree...
Building dt strings...
Building dt structure...
Device tree strings 0x0000000005832000 -> 0x00000000058335bf
Device tree struct  0x0000000005834000 -> 0x000000000584a000
Calling quiesce...
returning from prom_init
[    0.000000] Phyp-dump disabled at boot time
[    0.000000] Using pSeries machine description
[    0.000000] Using 1TB segments
[    0.000000] Found initrd at 0xc000000004380000:0xc000000005730ba8
[    0.000000] bootconsole [udbg0] enabled
[    0.000000] Partition configured for 32 cpus.
[    0.000000] CPU maps initialized for 4 threads per core
[    0.000000] Starting Linux PPC64 #1 SMP Thu Aug 11 23:47:44 UTC 2011
[    0.000000] -----------------------------------------------------
[    0.000000] ppc64_pft_size                = 0x1c
[    0.000000] physicalMemorySize            = 0x410000000
[    0.000000] htab_hash_mask                = 0x1fffff
[    0.000000] -----------------------------------------------------
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 3.0.1-5.fc16.kh.ppc64 (mockbuild@ppc-comm02) (gcc version 4.6.1 20110804 (Red Hat 4.6.1-7) (GCC) ) #1 SMP Thu Aug 11 23:47:44 UTC 2011
[    0.000000] [boot]0012 Setup Arch
[    0.000000] EEH: No capable adapters found
[    0.000000] PPC64 nvram contains 15360 bytes
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000000 -> 0x00410000
[    0.000000]   Normal   empty
[    0.000000] Movable zone start PFN for each node
[    0.000000] early_node_map[2] active PFN ranges
[    0.000000]     0: 0x00000000 -> 0x00280000
[    0.000000]     1: 0x00280000 -> 0x00410000
[    0.000000] [boot]0015 Setup Done
[    0.000000] PERCPU: Embedded 462 pages/cpu @c000000010000000 s1862272 r0 d30080 u2097152
[    0.000000] Built 2 zonelists in Node order, mobility grouping on.  Total pages: 4201600
[    0.000000] Policy zone: DMA
[    0.000000] Kernel command line: ro root=live:CDLABEL=PBOOT serial systemd.log_target=kmsg systemd.log_level=debug rd.break
[    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
[    0.000000] freeing bootmem node 0
[    0.000000] freeing bootmem node 1
[    0.000000] Memory: 16671612k/17039360k available (19016k kernel code, 367748k reserved, 1696k data, 12585k bss, 8720k init)
[    0.000000] SLUB: Genslabs=15, HWalign=128, Order=0-3, MinObjects=0, CPUs=32, Nodes=256
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	RCU dyntick-idle grace-period acceleration is enabled.
[    0.000000] 	RCU lockdep checking is enabled.
[    0.000000] NR_IRQS:512 nr_irqs:512 16
[    0.000000] clocksource: timebase mult[7d0000] shift[22] registered
[    0.000000] Console: colour dummy device 80x25
[    0.000000] console [hvc0] enabled, bootconsole disabled
[    0.000000] console [hvc0] enabled, bootconsole disabled
[    0.000000] Lock dependency validator: Copyright (c) 2006 Red Hat, Inc., Ingo Molnar
[    0.000000] ... MAX_LOCKDEP_SUBCLASSES:  8
[    0.000000] ... MAX_LOCK_DEPTH:          48
[    0.000000] ... MAX_LOCKDEP_KEYS:        8191
[    0.000000] ... CLASSHASH_SIZE:          4096
[    0.000000] ... MAX_LOCKDEP_ENTRIES:     16384
[    0.000000] ... MAX_LOCKDEP_CHAINS:      32768
[    0.000000] ... CHAINHASH_SIZE:          16384
[    0.000000]  memory used by lock dependency info: 6367 kB
[    0.000000]  per task-struct memory footprint: 2688 bytes
[    0.000000] allocated 136314880 bytes of page_cgroup
[    0.000000] please try 'cgroup_disable=memory' option if you don't want memory cgroups
[    0.027924] pid_max: default: 32768 minimum: 301
[    0.028343] Security Framework initialized
[    0.028359] SELinux:  Initializing.
[    0.034741] Dentry cache hash table entries: 4194304 (order: 13, 33554432 bytes)
[    0.052565] Inode-cache hash table entries: 2097152 (order: 12, 16777216 bytes)
[    0.060062] Mount-cache hash table entries: 256
[    0.068917] Initializing cgroup subsys cpuacct
[    0.068945] Initializing cgroup subsys memory
[    0.070650] Initializing cgroup subsys devices
[    0.070658] Initializing cgroup subsys freezer
[    0.070665] Initializing cgroup subsys net_cls
[    0.070672] Initializing cgroup subsys blkio
[    0.070706] Initializing cgroup subsys perf_event
[    0.070848] ftrace: allocating 21817 entries in 129 pages
[    0.074426] POWER7 performance monitor hardware support registered
[    0.094349] Brought up 32 CPUs
[    0.095203] Enabling Asymmetric SMT scheduling
[    0.097378] devtmpfs: initialized
[    0.105452] atomic64 test passed
[    0.105838] NET: Registered protocol family 16
[    0.105920] IBM eBus Device Driver
[    0.127962] PCI: Probing PCI hardware
[    0.127982] io_event_irq: No ibm,io-events on system! IO Event interrupt disabled.
[    0.141893] bio: create slab <bio-0> at 0
[    0.143010] vgaarb: loaded
[    0.143985] SCSI subsystem initialized
[    0.144912] usbcore: registered new interface driver usbfs
[    0.145030] usbcore: registered new interface driver hub
[    0.145233] usbcore: registered new device driver usb
[    0.146650] NetLabel: Initializing
[    0.146655] NetLabel:  domain hash size = 128
[    0.146660] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.146859] NetLabel:  unlabeled traffic allowed by default
[    0.235629] DMA-API: preallocated 65536 debug entries
[    0.235648] DMA-API: debugging enabled by kernel config
[    0.235690] Switching to clocksource timebase
[    0.236161] Switched to NOHz mode on CPU #1
[    0.236221] Switched to NOHz mode on CPU #26
[    0.236281] Switched to NOHz mode on CPU #13
[    0.236284] Switched to NOHz mode on CPU #28
[    0.236302] Switched to NOHz mode on CPU #23
[    0.236306] Switched to NOHz mode on CPU #6
[    0.236373] Switched to NOHz mode on CPU #11
[    0.236464] Switched to NOHz mode on CPU #18
[    0.236470] Switched to NOHz mode on CPU #8
[    0.236474] Switched to NOHz mode on CPU #3
[    0.236480] Switched to NOHz mode on CPU #20
[    0.236492] Switched to NOHz mode on CPU #5
[    0.236510] Switched to NOHz mode on CPU #30
[    0.236533] Switched to NOHz mode on CPU #25
[    0.236606] Switched to NOHz mode on CPU #15
[    0.236629] Switched to NOHz mode on CPU #12
[    0.236633] Switched to NOHz mode on CPU #22
[    0.236802] Switched to NOHz mode on CPU #10
[    0.236805] Switched to NOHz mode on CPU #17
[    0.236824] Switched to NOHz mode on CPU #7
[    0.236827] Switched to NOHz mode on CPU #29
[    0.236843] Switched to NOHz mode on CPU #27
[    0.236854] Switched to NOHz mode on CPU #24
[    0.236899] Switched to NOHz mode on CPU #0
[    0.236938] Switched to NOHz mode on CPU #4
[    0.236941] Switched to NOHz mode on CPU #14
[    0.237074] Switched to NOHz mode on CPU #19
[    0.237083] Switched to NOHz mode on CPU #9
[    0.237100] Switched to NOHz mode on CPU #16
[    0.237106] Switched to NOHz mode on CPU #31
[    0.237111] Switched to NOHz mode on CPU #21
[    0.237888] Switched to NOHz mode on CPU #2
[    0.316141] NET: Registered protocol family 2
[    0.317136] IP route cache hash table entries: 524288 (order: 10, 4194304 bytes)
[    0.321278] TCP established hash table entries: 524288 (order: 11, 8388608 bytes)
[    0.325672] TCP bind hash table entries: 65536 (order: 10, 5242880 bytes)
[    0.331796] TCP: Hash tables configured (established 524288 bind 65536)
[    0.331838] TCP reno registered
[    0.332389] UDP hash table entries: 16384 (order: 9, 3145728 bytes)
[    0.336203] UDP-Lite hash table entries: 16384 (order: 9, 3145728 bytes)
[    0.340569] NET: Registered protocol family 1
[    0.341858] Unpacking initramfs...
[    3.794795] Freeing initrd memory: 20164k freed
[    3.800505] vio 30000000: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    3.815414] IOMMU table initialized, virtual merging enabled
[    3.835384] vio 4000: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    3.835490] vio 4001: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    3.835591] vio 4002: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    3.835692] vio 4004: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    3.837806] audit: initializing netlink socket (disabled)
[    3.837865] type=2000 audit(1315428979.833:1): initialized
[    3.965281] HugeTLB registered 16 MB page size, pre-allocated 0 pages
[    3.965305] HugeTLB registered 16 GB page size, pre-allocated 0 pages
[    3.987364] VFS: Disk quotas dquot_6.5.2
[    3.987698] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    3.991513] msgmni has been set to 32603
[    3.993086] cryptomgr_test used greatest stack depth: 11552 bytes left
[    3.993852] cryptomgr_test used greatest stack depth: 11472 bytes left
[    3.994005] alg: No test for stdrng (krng)
[    3.994038] NET: Registered protocol family 38
[    3.994369] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    3.994535] io scheduler noop registered
[    3.994541] io scheduler deadline registered
[    3.994911] io scheduler cfq registered (default)
[    3.994917] start plist test
[    3.995757] end plist test
[    3.998146] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    3.998250] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    4.000933] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    4.037743] TX39/49 Serial driver version 1.11
[    4.038803] Linux agpgart interface v0.103
[    4.044125] loop: module loaded
[    4.044730] Uniform Multi-Platform E-IDE driver
[    4.045021] ide-gd driver 1.18
[    4.046244] Fixed MDIO Bus: probed
[    4.046625] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    4.046816] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    4.046986] uhci_hcd: USB Universal Host Controller Interface driver
[    4.047721] usbcore: registered new interface driver usbserial
[    4.047863] USB Serial support registered for generic
[    4.047988] usbcore: registered new interface driver usbserial_generic
[    4.047995] usbserial: USB Serial Driver core
[    4.048353] mousedev: PS/2 mouse device common for all mice
[    4.049663] rtc-generic rtc-generic: rtc core: registered rtc-generic as rtc0
[    4.051166] device-mapper: uevent: version 1.0.3
[    4.051955] device-mapper: ioctl: 4.20.0-ioctl (2011-02-02) initialised: dm-devel@redhat.com
[    4.054958] usbcore: registered new interface driver usbhid
[    4.054964] usbhid: USB HID core driver
[    4.057103] ip_tables: (C) 2000-2006 Netfilter Core Team
[    4.057332] TCP cubic registered
[    4.057337] Initializing XFRM netlink socket
[    4.058564] NET: Registered protocol family 10
[    4.063083] Mobile IPv6
[    4.063091] NET: Registered protocol family 17
[    4.063206] Registering the dns_resolver key type
[    4.066048] registered taskstats version 1
[    4.067055] rtc-generic rtc-generic: setting system clock to 2011-09-07 20:56:20 UTC (1315428980)
[    4.067065] Initializing network drop monitor service
[    4.071094] Freeing unused kernel memory: 8720k freed
[    4.080324] mknod used greatest stack depth: 9696 bytes left
[    4.089525] mount used greatest stack depth: 9552 bytes left
[    4.138489] ln used greatest stack depth: 9504 bytes left
[    4.197214] cp used greatest stack depth: 9200 bytes left
[    4.234869] dracut: dracut-013-4.fc16
[    4.285537] dracut: root was live:/dev/disk/by-label/PBOOT, liveroot is now live:CDLABEL=PBOOT
[    4.330023] udevd[234]: starting version 173
[    4.413941] modprobe used greatest stack depth: 9040 bytes left
[    4.425101] ibmveth 30000004: (unregistered net_device): unable to change checksum offload settings. 1 rc=0 ret_attr=2200
[    4.428905] modprobe used greatest stack depth: 6432 bytes left
[    4.433455] 
[    4.433456] =============================================
[    4.433481] [ INFO: possible recursive locking detected ]
[    4.433492] 3.0.1-5.fc16.kh.ppc64 #1
[    4.433503] ---------------------------------------------
[    4.433515] udevd/276 is trying to acquire lock:
[    4.433529]  (&mm->mmap_sem){++++++}, at: [<c000000000044580>] .drop_cop+0x70/0x13c
[    4.433565] 
[    4.433566] but task is already holding lock:
[    4.433585]  (&mm->mmap_sem){++++++}, at: [<c00000000019da20>] .SyS_mmap_pgoff+0x100/0x174
[    4.433616] 
[    4.433617] other info that might help us debug this:
[    4.433633]  Possible unsafe locking scenario:
[    4.433635] 
[    4.433646]        CPU0
[    4.433654]        ----
[    4.433661]   lock(&mm->mmap_sem);
[    4.433675]   lock(&mm->mmap_sem);
[    4.433688] 
[    4.433689]  *** DEADLOCK ***
[    4.433691] 
[    4.433706]  May be due to missing lock nesting notation
[    4.433708] 
[    4.433725] 1 lock held by udevd/276:
[    4.433734]  #0:  (&mm->mmap_sem){++++++}, at: [<c00000000019da20>] .SyS_mmap_pgoff+0x100/0x174
[    4.433773] 
[    4.433774] stack backtrace:
[    4.433790] Call Trace:
[    4.433800] [c000000271436fe0] [c000000000015764] .show_stack+0x94/0x144 (unreliable)
[    4.433827] [c0000002714370a0] [c00000000069ff10] .dump_stack+0x24/0x2c
[    4.433850] [c000000271437120] [c0000000000ee32c] .__lock_acquire+0x176c/0x17f4
[    4.433876] [c000000271437270] [c0000000000ee928] .lock_acquire+0x10c/0x128
[    4.433894] [c000000271437360] [c000000000695dac] .down_read+0x78/0x12c
[    4.433915] [c000000271437400] [c000000000044580] .drop_cop+0x70/0x13c
[    4.433936] [c0000002714374a0] [c0000000000448d4] .destroy_context+0x2c/0x50
[    4.433958] [c000000271437530] [c0000000000a895c] .__mmdrop+0x50/0x70
[    4.433978] [c0000002714375c0] [c000000000096cb4] .finish_task_switch+0x10c/0x15c
[    4.434000] [c000000271437660] [c0000000006930fc] .schedule+0x9f8/0xaf0
[    4.434018] [c0000002714378e0] [c0000000000a2fb4] .__cond_resched+0x2c/0x40
[    4.434041] [c000000271437970] [c000000000693534] ._cond_resched+0x3c/0x48
[    4.434063] [c0000002714379f0] [c0000000001be4e4] .kmem_cache_alloc+0x8c/0x280
[    4.434111] [c000000271437ab0] [c00000000019d358] .mmap_region+0x1b4/0x45c
[    4.434135] [c000000271437bc0] [c00000000019d8d0] .do_mmap_pgoff+0x2d0/0x320
[    4.434159] [c000000271437cb0] [c00000000019da44] .SyS_mmap_pgoff+0x124/0x174
[    4.434178] [c000000271437d80] [c00000000000e14c] .sys_mmap+0x7c/0x98
[    4.434202] [c000000271437e30] [c000000000009928] syscall_exit+0x0/0x40
[    4.436028] vio_register_driver: driver ibmvscsi registering
[    4.437151] ibmvscsi 30000002: SRP_VERSION: 16.a
[    4.437449] scsi0 : IBM POWER Virtual SCSI Adapter 1.5.9
[    4.450780] ibmvscsi 30000002: partner initialization complete
[    4.450868] ibmvscsi 30000002: host srp version: 16.a, host partition vios (1), OS 3, max io 262144
[    4.451002] ibmvscsi 30000002: Client reserve enabled
[    4.451029] ibmvscsi 30000002: sent SRP login
[    4.451136] ibmvscsi 30000002: SRP_LOGIN succeeded
[    4.461709] ibmvscsi 30000003: SRP_VERSION: 16.a
[    4.461926] scsi1 : IBM POWER Virtual SCSI Adapter 1.5.9
[    4.464568] ibmvscsi 30000003: partner initialization complete
[    4.464644] ibmvscsi 30000003: host srp version: 16.a, host partition vios (1), OS 3, max io 262144
[    4.464750] ibmvscsi 30000003: Client reserve enabled
[    4.464777] ibmvscsi 30000003: sent SRP login
[    4.464834] ibmvscsi 30000003: SRP_LOGIN succeeded
[    4.471490] scsi 0:0:1:0: Direct-Access     AIX      VDASD            0001 PQ: 0 ANSI: 3
[    4.472369] scsi 0:0:2:0: CD-ROM            AIX      VOPTA                 PQ: 0 ANSI: 4
[    4.493962] scsi 1:0:1:0: CD-ROM            AIX      VOPTA                 PQ: 0 ANSI: 4
[    8.584201] sd 0:0:1:0: [sda] 62914560 512-byte logical blocks: (32.2 GB/30.0 GiB)
[    8.584229] sd 0:0:1:0: Attached scsi generic sg0 type 0
[    8.584380] sd 0:0:1:0: [sda] Write Protect is off
[    8.584392] sd 0:0:1:0: [sda] Mode Sense: 17 00 00 08
[    8.584496] sd 0:0:1:0: [sda] Cache data unavailable
[    8.584506] sd 0:0:1:0: [sda] Assuming drive cache: write through
[    8.585559] sr0: scsi-1 drive
[    8.585569] cdrom: Uniform CD-ROM driver Revision: 3.20
[    8.585673] sd 0:0:1:0: [sda] Cache data unavailable
[    8.585685] sd 0:0:1:0: [sda] Assuming drive cache: write through
[    8.586413] sr 0:0:2:0: Attached scsi CD-ROM sr0
[    8.587356] sr 0:0:2:0: Attached scsi generic sg1 type 5
[    8.598007]  sda: sda1 sda2 sda3
[    8.599444] sd 0:0:1:0: [sda] Cache data unavailable
[    8.599459] sd 0:0:1:0: [sda] Assuming drive cache: write through
[    8.599475] sd 0:0:1:0: [sda] Attached SCSI disk
[    8.643897] sr1: scsi-1 drive
[    8.645124] sr 1:0:1:0: Attached scsi CD-ROM sr1
[    8.645714] sr 1:0:1:0: Attached scsi generic sg2 type 5
[    9.270306] ISO 9660 Extensions: Microsoft Joliet Level 3
[    9.275271] ISO 9660 Extensions: RRIP_1991A
[    9.298111] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    9.466556] EXT4-fs (dm-0): mounted filesystem with ordered data mode. Opts: (null)
[    9.476713] dracut: Mounted root filesystem /dev/mapper/live-rw


[    9.884493] dracut Warning: Break before switch_root
dracut Warning: Break before switch_root

Dropping to debug shell.

sh: can't access tty; job control turned off
switch_root:/# cp /sysroot/lib/systemd/system/loader.service /sysroot/lib/systemd/system/loader2.service
switch_root:/# sed -i -e 's,Description=.*$,Description=Yet Another Bash Shell,' /sysroot/lib/systemd/system/loader.service
switch_root:/# sed -i -e 's,Wants=.*$,Wants=,' /sysroot/lib/systemd/system/loader.service
switch_root:/# sed -i -e 's,/sbin/loader,/bin/bash,' /sysroot/lib/systemd/system/loader.service
switch_root:/# exit
[   38.569507] dracut: Switching root
[   38.832441] SELinux: 2048 avtab hash slots, 97057 rules.
[   38.927485] SELinux: 2048 avtab hash slots, 97057 rules.
[   38.978926] SELinux:  9 users, 13 roles, 3762 types, 193 bools, 1 sens, 1024 cats
[   38.978968] SELinux:  82 classes, 97057 rules
[   39.002862] SELinux:  Completing initialization.
[   39.002890] SELinux:  Setting up existing superblocks.
[   39.002911] SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
[   39.002927] SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
[   39.002955] SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
[   39.002969] SELinux: initialized (dev proc, type proc), uses genfs_contexts
[   39.002988] SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
[   39.003011] SELinux: initialized (dev devtmpfs, type devtmpfs), uses transition SIDs
[   39.003889] SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
[   39.003902] SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
[   39.008378] SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
[   39.008409] SELinux: initialized (dev anon_inodefs, type anon_inodefs), uses genfs_contexts
[   39.008422] SELinux: initialized (dev devpts, type devpts), uses transition SIDs
[   39.008450] SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses transition SIDs
[   39.008466] SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
[   39.008483] SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
[   39.008543] SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
[   39.009621] SELinux: initialized (dev securityfs, type securityfs), uses genfs_contexts
[   39.009632] SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
[   39.009645] SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
[   39.009698] SELinux: initialized (dev sr0, type iso9660), uses genfs_contexts
[   39.009713] SELinux: initialized (dev loop0, type squashfs), not configured for labeling
[   39.009737] SELinux: initialized (dev dm-0, type ext4), uses xattr
[   39.024316] type=1403 audit(1315429015.456:2): policy loaded auid=4294967295 ses=4294967295
[   39.041385] systemd[1]: Successfully loaded SELinux policy in 284ms 600us.
[   39.075073] systemd[1]: Successfully loaded SELinux database in 33ms 219us, size on heap is 462K.
[   39.085717] SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
[   39.088287] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[   39.216350] systemd[1]: Relabelled /dev and /run in 127ms 796us.
[   39.224475] systemd[1]: Successfully opened /dev/kmsg for logging.
[   39.226139] systemd[1]: Mounting cgroup to /sys/fs/cgroup/cpuset of type cgroup with options cpuset.
[   39.226784] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[   39.228384] systemd[1]: Mounting cgroup to /sys/fs/cgroup/cpu,cpuacct of type cgroup with options cpu,cpuacct.
[   39.228779] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[   39.230816] systemd[1]: Mounting cgroup to /sys/fs/cgroup/memory of type cgroup with options memory.
[   39.240242] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[   39.242009] systemd[1]: Mounting cgroup to /sys/fs/cgroup/devices of type cgroup with options devices.
[   39.250238] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[   39.251776] systemd[1]: Mounting cgroup to /sys/fs/cgroup/freezer of type cgroup with options freezer.
[   39.267133] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[   39.268658] systemd[1]: Mounting cgroup to /sys/fs/cgroup/net_cls of type cgroup with options net_cls.
[   39.268998] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[   39.270758] systemd[1]: Mounting cgroup to /sys/fs/cgroup/blkio of type cgroup with options blkio.
[   39.280293] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[   39.282072] systemd[1]: Mounting cgroup to /sys/fs/cgroup/perf_event of type cgroup with options perf_event.
[   39.290211] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[   39.290421] systemd[1]: systemd 35 running in system mode. (+PAM +LIBWRAP +AUDIT +SELINUX +SYSVINIT +LIBCRYPTSETUP; fedora)

Welcome to [1mLinux[0m!

[   39.294204] systemd[1]: Set hostname to <localhost.localdomain>.
[   39.294784] systemd[1]: Initializing machine ID from random generator.
[   39.302590] systemd[1]: /etc/mtab is not a symlink or not pointing to /proc/self/mounts. This is not supported anymore. Please make sure to replace this file by a symlink to avoid incorrect or misleading mount(8) output.
[   39.311557] systemd[1]: Looking for unit files in:
[   39.311568] systemd[1]: 	/etc/systemd/system
[   39.311576] systemd[1]: 	/lib/systemd/system
[   39.312333] systemd[1]: Looking for SysV init scripts in:
[   39.312342] systemd[1]: 	/etc/rc.d/init.d
[   39.312351] systemd[1]: Looking for SysV rcN.d links in:
[   39.312359] systemd[1]: 	/etc/rc.d
[   39.313137] systemd[1]: Using cgroup controller name=systemd. File system hierarchy is at /sys/fs/cgroup/systemd/system.
[   39.313668] systemd[1]: Installed release agent.
[   39.315601] systemd[1]: Created root group.
[   39.315793] systemd[1]: Using notification socket /run/systemd/notify
[   39.316403] systemd[1]: Successfully created private D-Bus server.
[   39.324252] systemd[1]: Spawned /lib/systemd/system-generators/systemd-cryptsetup-generator as 511
[   39.325155] systemd[1]: Spawned /lib/systemd/system-generators/systemd-getty-generator as 512
[   39.339611] systemd[1]: /lib/systemd/system-generators/systemd-cryptsetup-generator exited successfully.
[   39.342306] systemd[1]: /lib/systemd/system-generators/systemd-getty-generator exited successfully.
[   39.342435] systemd[1]: Added generator unit path /run/systemd/generator to search path.
[   39.370660] systemd[1]: Failed to load configuration for plymouth-start.service: No such file or directory
[   39.385174] systemd[1]: Failed to load configuration for plymouth-quit.service: No such file or directory
[   39.387035] systemd[1]: Failed to load configuration for plymouth-quit-wait.service: No such file or directory
[   39.387859] systemd[1]: Failed to load configuration for livesys-late.service: No such file or directory
[   39.394018] systemd[1]: Failed to load configuration for iscsid.service: No such file or directory
[   39.394155] systemd[1]: Failed to load configuration for iscsi.service: No such file or directory
[   39.395107] systemd[1]: Failed to load configuration for rpcbind.service: No such file or directory
[   39.404638] systemd[1]: Failed to load configuration for ip6tables.service: No such file or directory
[   39.404728] systemd[1]: Failed to load configuration for iptables.service: No such file or directory
[   39.405277] systemd[1]: Failed to load configuration for gfs_controld.service: No such file or directory
[   39.405366] systemd[1]: Failed to load configuration for cman.service: No such file or directory
[   39.408876] systemd[1]: Failed to fully start up daemon: No such file or directory
[   39.408899] systemd[1]: Activating default unit: default.target
[   39.408919] systemd[1]: Trying to enqueue job anaconda.target/start/replace
[   39.409050] systemd[1]: Installed new job anaconda.target/start as 1
[   39.409072] systemd[1]: Installed new job basic.target/start as 2
[   39.409085] systemd[1]: Installed new job sysinit.target/start as 3
[   39.409098] systemd[1]: Installed new job local-fs.target/start as 4
[   39.409110] systemd[1]: Installed new job var-lock.mount/start as 5
[   39.409120] systemd[1]: Installed new job systemd-stdout-syslog-bridge.socket/start as 6
[   39.409131] systemd[1]: Installed new job var-run.mount/start as 13
[   39.409140] systemd[1]: Installed new job fsck-root.service/start as 14
[   39.409151] systemd[1]: Installed new job remount-rootfs.service/start as 15
[   39.409162] systemd[1]: Installed new job swap.target/start as 17
[   39.409172] systemd[1]: Installed new job sys-kernel-debug.automount/start as 18
[   39.409183] systemd[1]: Installed new job systemd-modules-load.service/start as 19
[   39.409194] systemd[1]: Installed new job systemd-binfmt.service/start as 20
[   39.409206] systemd[1]: Installed new job dev-mqueue.automount/start as 21
[   39.409216] systemd[1]: Installed new job systemd-random-seed-load.service/start as 22
[   39.409228] systemd[1]: Installed new job sys-kernel-security.automount/start as 24
[   39.409239] systemd[1]: Installed new job systemd-tmpfiles-setup.service/start as 25
[   39.409250] systemd[1]: Installed new job dev-hugepages.automount/start as 26
[   39.409261] systemd[1]: Installed new job systemd-sysctl.service/start as 27
[   39.409273] systemd[1]: Installed new job systemd-ask-password-console.path/start as 28
[   39.409284] systemd[1]: Installed new job systemd-kmsg-syslogd.service/start as 29
[   39.409295] systemd[1]: Installed new job cryptsetup.target/start as 30
[   39.409305] systemd[1]: Installed new job proc-sys-fs-binfmt_misc.automount/start as 31
[   39.409317] systemd[1]: Installed new job systemd-vconsole-setup.service/start as 32
[   39.409328] systemd[1]: Installed new job sockets.target/start as 35
[   39.409338] systemd[1]: Installed new job systemd-initctl.socket/start as 36
[   39.409349] systemd[1]: Installed new job dbus.socket/start as 37
[   39.409358] systemd[1]: Installed new job syslog.socket/start as 38
[   39.409368] systemd[1]: Installed new job syslog.target/start as 39
[   39.409378] systemd[1]: Installed new job udev-control.socket/start as 40
[   39.409388] systemd[1]: Installed new job udev-kernel.socket/start as 41
[   39.409399] systemd[1]: Installed new job systemd-shutdownd.socket/start as 42
[   39.409410] systemd[1]: Installed new job systemd-tmpfiles-clean.timer/start as 43
[   39.409421] systemd[1]: Installed new job udev-trigger.service/start as 44
[   39.409431] systemd[1]: Installed new job udev.service/start as 45
[   39.409441] systemd[1]: Installed new job loader.service/start as 46
[   39.409451] systemd[1]: Installed new job anaconda-shell.service/start as 47
[   39.409485] systemd[1]: Installed new job dev-tty2.device/start as 48
[   39.409495] systemd[1]: Installed new job udev-settle.service/start as 49
[   39.409511] systemd[1]: Enqueued job anaconda.target/start as 1
[   39.409524] systemd[1]: Loaded units and determined initial transaction in 92ms 636us.
[   39.411600] systemd[1]: Autofs kernel version 1.0
[   39.412759] SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
[   39.413046] systemd[1]: Autofs protocol version 5.2
[   39.413097] systemd[1]: proc-sys-fs-binfmt_misc.automount changed dead -> waiting
[   39.413121] systemd[1]: Job proc-sys-fs-binfmt_misc.automount/start finished, result=done
[   39.413148] systemd[1]: cryptsetup.target changed dead -> active
[   39.413161] systemd[1]: Job cryptsetup.target/start finished, result=done
[   39.418005] systemd[1]: systemd-ask-password-console.path changed dead -> waiting
[   39.418027] systemd[1]: Job systemd-ask-password-console.path/start finished, result=done
[   39.419246] SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
[   39.419417] systemd[1]: Autofs protocol version 5.2
[   39.419439] systemd[1]: dev-hugepages.automount changed dead -> waiting
[   39.419455] systemd[1]: Job dev-hugepages.automount/start finished, result=done
[   39.419666] systemd[1]: Path /sys/kernel/security is already a mount point, refusing start for sys-kernel-security.automount
[   39.419683] systemd[1]: Job sys-kernel-security.automount/start finished, result=failed
[   39.420609] SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
[   39.420776] systemd[1]: Autofs protocol version 5.2
[   39.420798] systemd[1]: dev-mqueue.automount changed dead -> waiting
[   39.420811] systemd[1]: Job dev-mqueue.automount/start finished, result=done
[   39.422164] SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
[   39.422329] systemd[1]: Autofs protocol version 5.2
[   39.422352] systemd[1]: sys-kernel-debug.automount changed dead -> waiting
[   39.422367] systemd[1]: Job sys-kernel-debug.automount/start finished, result=done
[   39.422382] systemd[1]: swap.target changed dead -> active
[   39.422394] systemd[1]: Job swap.target/start finished, result=done
[   39.423037] systemd[1]: SELinux Socket context for /lib/systemd/systemd-stdout-syslog-bridge will be set to system_u:system_r:kernel_t:s0
[   39.426637] systemd[1]: systemd-stdout-syslog-bridge.socket changed dead -> listening
[   39.426666] systemd[1]: Job systemd-stdout-syslog-bridge.socket/start finished, result=done
[   39.427680] systemd[1]: systemd-initctl.socket changed dead -> listening
[   39.427694] systemd[1]: Job systemd-initctl.socket/start finished, result=done
[   39.427782] systemd[1]: Starting of var-run.mount requested but condition failed. Ignoring.
[   39.427793] systemd[1]: Job var-run.mount/start finished, result=done
Started Runtime Directory.
Starting File System Check on Root Device...
[   39.428851] systemd[1]: About to execute: /lib/systemd/systemd-fsck
[   39.465217] systemd[1]: Forked /lib/systemd/systemd-fsck as 513
[   39.465417] systemd[1]: fsck-root.service changed dead -> start
[   39.479081] systemd[1]: Starting of systemd-modules-load.service requested but condition failed. Ignoring.
[   39.479096] systemd[1]: Job systemd-modules-load.service/start finished, result=done
Started Load Kernel Modules.
[   39.481878] systemd-fsck[513]: Root directory is writable, skipping check.
[   39.484335] systemd[1]: Starting of systemd-binfmt.service requested but condition failed. Ignoring.
[   39.484350] systemd[1]: Job systemd-binfmt.service/start finished, result=done
Started Set Up Additional Binary Formats.
Starting Apply Kernel Variables...
[   39.486528] systemd[1]: About to execute: /lib/systemd/systemd-sysctl
[   39.530163] systemd[1]: Forked /lib/systemd/systemd-sysctl as 516
[   39.530339] systemd[1]: systemd-sysctl.service changed dead -> start
Starting Setup Virtual Console...
[   39.530999] systemd[1]: About to execute: /lib/systemd/systemd-vconsole-setup
[   39.571253] systemd[1]: Forked /lib/systemd/systemd-vconsole-setup as 517
[   39.571501] systemd[1]: systemd-vconsole-setup.service changed dead -> start
[   39.573581] systemd[1]: SELinux Socket context for /sbin/udevd will be set to system_u:system_r:kernel_t:s0
[   39.573816] systemd[1]: udev-control.socket changed dead -> listening
[   39.573840] systemd[1]: Job udev-control.socket/start finished, result=done
[   39.574277] systemd[1]: SELinux Socket context for /sbin/udevd will be set to system_u:system_r:kernel_t:s0
[   39.574534] systemd[1]: udev-kernel.socket changed dead -> listening
[   39.574553] systemd[1]: Job udev-kernel.socket/start finished, result=done
Starting udev Coldplug all Devices...
[   39.575120] systemd[1]: About to execute: /sbin/udevadm trigger --type=subsystems --action=add
[   39.581258] systemd-vconsole-setup[517]: /bin/loadkeys failed with error code 1.
[   39.581654] systemd-vconsole-setup[517]: /bin/setfont failed with error code 1.
[   39.582605] systemd-vconsol used greatest stack depth: 5536 bytes left
[   39.610260] systemd[1]: Forked /sbin/udevadm as 519
[   39.610442] systemd[1]: udev-trigger.service changed dead -> start
Starting udev Kernel Device Manager...
[   39.611063] systemd[1]: About to execute: /sbin/udevd
[   39.650251] systemd[1]: Forked /sbin/udevd as 523
[   39.650451] systemd[1]: udev.service changed dead -> start
[   39.651420] systemd[1]: SELinux Socket context for /lib/systemd/systemd-shutdownd will be set to system_u:system_r:kernel_t:s0
[   39.655905] systemd[1]: systemd-shutdownd.socket changed dead -> listening
[   39.655937] systemd[1]: Job systemd-shutdownd.socket/start finished, result=done
[   39.656641] systemd[1]: SELinux Socket context for /lib/systemd/systemd-kmsg-syslogd will be set to system_u:system_r:kernel_t:s0
[   39.657654] systemd[1]: syslog.socket changed dead -> listening
[   39.657681] systemd[1]: Job syslog.socket/start finished, result=done
Starting Syslog Kernel Log Buffer Bridge...
[   39.658195] systemd[1]: About to execute: /lib/systemd/systemd-kmsg-syslogd
[   39.692218] systemd[1]: Forked /lib/systemd/systemd-kmsg-syslogd as 524
[   39.692921] systemd[1]: systemd-kmsg-syslogd.service changed dead -> running
[   39.692952] systemd[1]: Job systemd-kmsg-syslogd.service/start finished, result=done
Started Syslog Kernel Log Buffer Bridge.
[   39.694033] systemd[1]: syslog.target changed dead -> active
[   39.694048] systemd[1]: Job syslog.target/start finished, result=done
[   39.694171] systemd[1]: Starting of var-lock.mount requested but condition failed. Ignoring.
[   39.694185] systemd[1]: Job var-lock.mount/start finished, result=done
Started Lock Directory.
[   39.694714] systemd[1]: Running GC...
[   39.694736] systemd[1]: Collecting reboot.target
[   39.694757] systemd[1]: Collecting poweroff.target
[   39.702449] systemd[1]: Received SIGCHLD from PID 511 (n/a).
[   39.702620] systemd[1]: Got SIGCHLD for process 513 (systemd-fsck)
[   39.702653] systemd[1]: Got notification message for unit systemd-kmsg-syslogd.service
[   39.702667] systemd[1]: systemd-kmsg-syslogd.service: Got message
[   39.702684] systemd[1]: systemd-kmsg-syslogd.service: got STATUS=Processing messages...
[   39.703154] systemd[1]: Child 513 died (code=exited, status=0/SUCCESS)
[   39.703166] systemd[1]: Child 513 belongs to fsck-root.service
[   39.703184] systemd[1]: fsck-root.service: main process exited, code=exited, status=0
[   39.704189] systemd[1]: fsck-root.service changed start -> dead
[   39.704537] udevd[523]: starting version 173
[   39.738516] systemd[1]: Job fsck-root.service/start finished, result=done
Started File System Check on Root Device.
[   39.739793] systemd[1]: Got SIGCHLD for process 516 (systemd-sysctl)
[   39.739822] systemd[1]: Got notification message for unit udev.service
[   39.739833] systemd[1]: udev.service: Got message
[   39.739843] systemd[1]: udev.service: got READY=1
[   39.740033] systemd[1]: udev.service changed start -> running
[   39.740054] systemd[1]: Job udev.service/start finished, result=done
Started udev Kernel Device Manager.
[   39.741112] systemd[1]: Child 516 died (code=exited, status=0/SUCCESS)
[   39.741123] systemd[1]: Child 516 belongs to systemd-sysctl.service
[   39.741136] systemd[1]: systemd-sysctl.service: main process exited, code=exited, status=0
[   39.784905] systemd[1]: systemd-sysctl.service changed start -> exited
[   39.784936] systemd[1]: Job systemd-sysctl.service/start finished, result=done
Started Apply Kernel Variables.
[   39.786134] systemd[1]: Got SIGCHLD for process 517 (systemd-vconsol)
[   39.786637] systemd[1]: Child 517 died (code=exited, status=0/SUCCESS)
[   39.786649] systemd[1]: Child 517 belongs to systemd-vconsole-setup.service
[   39.786662] systemd[1]: systemd-vconsole-setup.service: main process exited, code=exited, status=0
[   39.824805] systemd[1]: systemd-vconsole-setup.service changed start -> exited
[   39.824835] systemd[1]: Job systemd-vconsole-setup.service/start finished, result=done
Started Setup Virtual Console.
[   39.825675] systemd[1]: Got SIGCHLD for process 519 (udevadm)
[   39.825943] systemd[1]: Child 519 died (code=exited, status=0/SUCCESS)
[   39.825954] systemd[1]: Child 519 belongs to udev-trigger.service
[   39.825966] systemd[1]: udev-trigger.service: main process exited, code=exited, status=0
[   39.825977] systemd[1]: udev-trigger.service running next main command for state start
[   39.826001] systemd[1]: About to execute: /sbin/udevadm trigger --type=devices --action=add
[   39.874179] systemd[1]: Forked /sbin/udevadm as 554
Starting Remount Root FS...
[   39.874996] systemd[1]: About to execute: /bin/mount / -o remount
[   39.906271] systemd[1]: Forked /bin/mount as 555
[   39.906476] systemd[1]: remount-rootfs.service changed dead -> start
[   39.906522] systemd[1]: Incoming traffic on systemd-stdout-syslog-bridge.socket
[   39.906608] systemd[1]: Trying to enqueue job systemd-stdout-syslog-bridge.service/start/replace
[   39.906678] systemd[1]: Installed new job systemd-stdout-syslog-bridge.service/start as 52
[   39.906694] systemd[1]: Enqueued job systemd-stdout-syslog-bridge.service/start as 52
[   39.906725] systemd[1]: systemd-stdout-syslog-bridge.socket changed listening -> running
Starting STDOUT Syslog Bridge...
[   39.907369] systemd[1]: About to execute: /lib/systemd/systemd-stdout-syslog-bridge
[   39.955511] systemd[1]: Forked /lib/systemd/systemd-stdout-syslog-bridge as 556
[   39.956780] systemd[1]: systemd-stdout-syslog-bridge.service changed dead -> running
[   39.956825] systemd[1]: Job systemd-stdout-syslog-bridge.service/start finished, result=done
Started STDOUT Syslog Bridge.
[   39.958252] systemd[1]: Accepted connection on private bus.
[   39.958290] systemd[1]: Incoming traffic on udev-kernel.socket
[   39.958359] systemd[1]: udev-kernel.socket changed listening -> running
[   39.959727] systemd[1]: dev-ttyS1.device changed dead -> plugged
[   39.959746] systemd[1]: sys-devices-platform-serial8250-tty-ttyS1.device changed dead -> plugged
[   39.959854] systemd[1]: Accepted connection on private bus.
[   39.984394] systemd[1]: dev-ttyS0.device changed dead -> plugged
[   39.984503] systemd[1]: sys-devices-platform-serial8250-tty-ttyS0.device changed dead -> plugged
[   39.984962] systemd[1]: Accepted connection on private bus.
[   39.987764] systemd[1]: dev-ttyS3.device changed dead -> plugged
[   39.987792] systemd[1]: sys-devices-platform-serial8250-tty-ttyS3.device changed dead -> plugged
[   39.987910] systemd[1]: Accepted connection on private bus.
[   39.989356] systemd[1]: dev-ttyS2.device changed dead -> plugged
[   39.989374] systemd[1]: sys-devices-platform-serial8250-tty-ttyS2.device changed dead -> plugged
[   39.989922] systemd[1]: Got D-Bus request: org.freedesktop.systemd1.Agent.Released() on /org/freedesktop/systemd1/agent
[   39.991303] systemd[1]: fsck-root.service: cgroup is empty
[   39.991771] systemd[1]: Got D-Bus request: org.freedesktop.DBus.Local.Disconnected() on /org/freedesktop/DBus/Local
[   39.991972] systemd[1]: Got D-Bus request: org.freedesktop.systemd1.Agent.Released() on /org/freedesktop/systemd1/agent
[   39.992333] systemd[1]: systemd-sysctl.service: cgroup is empty
[   39.992481] systemd[1]: Got notification message for unit systemd-stdout-syslog-bridge.service
[   39.992517] systemd[1]: systemd-stdout-syslog-bridge.service: Got message
[   39.992550] systemd[1]: systemd-stdout-syslog-bridge.service: got STATUS=Processing requests...
[   39.992691] systemd[1]: Got D-Bus request: org.freedesktop.systemd1.Agent.Released() on /org/freedesktop/systemd1/agent
[   39.993148] systemd[1]: systemd-vconsole-setup.service: cgroup is empty
[   39.993358] systemd[1]: Got D-Bus request: org.freedesktop.DBus.Local.Disconnected() on /org/freedesktop/DBus/Local
[   39.993669] systemd[1]: Got D-Bus request: org.freedesktop.DBus.Local.Disconnected() on /org/freedesktop/DBus/Local
[   39.993792] systemd[1]: Got D-Bus request: org.freedesktop.systemd1.Agent.Released() on /org/freedesktop/systemd1/agent
[   39.995052] systemd[1]: Got D-Bus request: org.freedesktop.DBus.Local.Disconnected() on /org/freedesktop/DBus/Local
[   40.014527] systemd[1]: dev-hvc1.device changed dead -> plugged
[   40.014604] systemd[1]: sys-devices-virtual-tty-hvc1.device changed dead -> plugged
[   40.017319] systemd[1]: dev-hvc2.device changed dead -> plugged
[   40.017366] systemd[1]: sys-devices-virtual-tty-hvc2.device changed dead -> plugged
[   40.019407] input_id used greatest stack depth: 5456 bytes left
[   40.020154] systemd[1]: dev-hvc3.device changed dead -> plugged
[   40.020192] systemd[1]: sys-devices-virtual-tty-hvc3.device changed dead -> plugged
[   40.020235] systemd[1]: Running GC...
[   40.024811] systemd[1]: dev-hvc0.device changed dead -> plugged
[   40.024849] systemd[1]: sys-devices-virtual-tty-hvc0.device changed dead -> plugged
[   40.026915] systemd[1]: dev-hvc4.device changed dead -> plugged
[   40.026952] systemd[1]: sys-devices-virtual-tty-hvc4.device changed dead -> plugged
[   40.029451] systemd[1]: dev-hvc5.device changed dead -> plugged
[   40.029499] systemd[1]: sys-devices-virtual-tty-hvc5.device changed dead -> plugged
[   40.032155] systemd[1]: dev-hvc6.device changed dead -> plugged
[   40.032194] systemd[1]: sys-devices-virtual-tty-hvc6.device changed dead -> plugged
[   40.033172] systemd[1]: dev-tty1.device changed dead -> plugged
[   40.033204] systemd[1]: sys-devices-virtual-tty-tty1.device changed dead -> plugged
[   40.035893] systemd[1]: dev-hvc7.device changed dead -> plugged
[   40.035930] systemd[1]: sys-devices-virtual-tty-hvc7.device changed dead -> plugged
[   40.038238] systemd[1]: dev-tty10.device changed dead -> plugged
[   40.038270] systemd[1]: sys-devices-virtual-tty-tty10.device changed dead -> plugged
[   40.041184] systemd[1]: dev-tty0.device changed dead -> plugged
[   40.041229] systemd[1]: sys-devices-virtual-tty-tty0.device changed dead -> plugged
[   40.042921] systemd[1]: dev-tty12.device changed dead -> plugged
[   40.042966] systemd[1]: sys-devices-virtual-tty-tty12.device changed dead -> plugged
[   40.043017] systemd[1]: Running GC...
[   40.045737] systemd[1]: dev-tty11.device changed dead -> plugged
[   40.045766] systemd[1]: sys-devices-virtual-tty-tty11.device changed dead -> plugged
[   40.046530] systemd[1]: dev-tty2.device changed dead -> plugged
[   40.046560] systemd[1]: Job dev-tty2.device/start finished, result=done
[   40.046633] systemd[1]: sys-devices-virtual-tty-tty2.device changed dead -> plugged
[   40.046855] systemd[1]: Received SIGCHLD from PID 554 (udevadm).
[   40.047052] systemd[1]: Got SIGCHLD for process 554 (udevadm)
[   40.048590] systemd[1]: Child 554 died (code=exited, status=0/SUCCESS)
[   40.048618] systemd[1]: Child 554 belongs to udev-trigger.service
[   40.048648] systemd[1]: udev-trigger.service: main process exited, code=exited, status=0
[   40.072300] mount[555]: warning: can't open /etc/fstab: No such file or directory
[   40.096368] systemd[1]: udev-trigger.service changed start -> exited
[   40.096448] systemd[1]: Job udev-trigger.service/start finished, result=done
Started udev Coldplug all Devices.
Starting udev Wait for Complete Device Initialization...
[   40.099700] systemd[1]: About to execute: /sbin/udevadm settle
[   40.141039] blkid used greatest stack depth: 5024 bytes left
[   40.143846] systemd[1]: Forked /sbin/udevadm as 589
[   40.144439] systemd[1]: udev-settle.service changed dead -> start
[   40.147521] systemd[1]: dev-tty3.device changed dead -> plugged
[   40.147583] systemd[1]: sys-devices-virtual-tty-tty3.device changed dead -> plugged
[   40.147915] systemd[1]: Accepted connection on private bus.
[   40.150294] systemd[1]: dev-tty4.device changed dead -> plugged
[   40.150336] systemd[1]: sys-devices-virtual-tty-tty4.device changed dead -> plugged
[   40.152979] systemd[1]: dev-tty5.device changed dead -> plugged
[   40.153012] systemd[1]: sys-devices-virtual-tty-tty5.device changed dead -> plugged
[   40.155261] systemd[1]: dev-tty6.device changed dead -> plugged
[   40.155292] systemd[1]: sys-devices-virtual-tty-tty6.device changed dead -> plugged
[   40.157250] systemd[1]: dev-tty8.device changed dead -> plugged
[   40.157269] systemd[1]: sys-devices-virtual-tty-tty8.device changed dead -> plugged
[   40.158593] systemd[1]: dev-tty9.device changed dead -> plugged
[   40.158625] systemd[1]: sys-devices-virtual-tty-tty9.device changed dead -> plugged
[   40.160554] systemd[1]: dev-tty7.device changed dead -> plugged
[   40.160572] systemd[1]: sys-devices-virtual-tty-tty7.device changed dead -> plugged
[   40.160592] systemd[1]: Running GC...
[   40.160678] systemd[1]: Got D-Bus request: org.freedesktop.systemd1.Agent.Released() on /org/freedesktop/systemd1/agent
[   40.160876] systemd[1]: udev-trigger.service: cgroup is empty
[   40.160998] systemd[1]: Got D-Bus request: org.freedesktop.DBus.Local.Disconnected() on /org/freedesktop/DBus/Local
[   40.166774] EXT4-fs (dm-0): re-mounted. Opts: user_xattr,acl,barrier=1,data=ordered
[   40.169157] systemd[1]: Received SIGCHLD from PID 555 (mount).
[   40.169336] systemd[1]: Got SIGCHLD for process 555 (mount)
[   40.169798] systemd[1]: Child 555 died (code=exited, status=0/SUCCESS)
[   40.169813] systemd[1]: Child 555 belongs to remount-rootfs.service
[   40.169836] systemd[1]: remount-rootfs.service: main process exited, code=exited, status=0
[   40.207541] systemd[1]: remount-rootfs.service changed start -> exited
[   40.207574] systemd[1]: Job remount-rootfs.service/start finished, result=done
Started Remount Root FS.
[   40.208263] systemd[1]: local-fs.target changed dead -> active
[   40.208277] systemd[1]: Job local-fs.target/start finished, result=done
Starting Load Random Seed...
[   40.208666] systemd[1]: About to execute: /lib/systemd/systemd-random-seed load
[   40.256234] systemd[1]: Forked /lib/systemd/systemd-random-seed as 608
[   40.256548] systemd[1]: systemd-random-seed-load.service changed dead -> start
Starting Recreate Volatile Files and Directories...
[   40.258852] systemd[1]: About to execute: /bin/systemd-tmpfiles --create --remove
[   40.303232] systemd[1]: Forked /bin/systemd-tmpfiles as 612
[   40.303588] systemd[1]: systemd-tmpfiles-setup.service changed dead -> start
[   40.303840] systemd[1]: Received SIGCHLD from PID 608 (systemd-random-).
[   40.303984] systemd[1]: Got SIGCHLD for process 608 (systemd-random-)
[   40.304485] systemd[1]: Child 608 died (code=exited, status=0/SUCCESS)
[   40.304503] systemd[1]: Child 608 belongs to systemd-random-seed-load.service
[   40.304538] systemd[1]: systemd-random-seed-load.service: main process exited, code=exited, status=0
[   40.305565] systemd[1]: systemd-random-seed-load.service changed start -> dead
[   40.351245] systemd[1]: Job systemd-random-seed-load.service/start finished, result=done
Started Load Random Seed.
[   40.352250] systemd[1]: Accepted connection on private bus.
[   40.354580] systemd[1]: dev-disk-by\x2dlabel-Anaconda.device changed dead -> plugged
[   40.354600] systemd[1]: dev-disk-by\x2duuid-0f720f25\x2d3f58\x2d413f\x2d9998\x2d561c6cd6fe9b.device changed dead -> plugged
[   40.354628] systemd[1]: dev-disk-by\x2did-dm\x2dname\x2dlive\x2drw.device changed dead -> plugged
[   40.354647] systemd[1]: dev-mapper-live\x2drw.device changed dead -> plugged
[   40.354663] systemd[1]: dev-dm\x2d0.device changed dead -> plugged
[   40.354678] systemd[1]: sys-devices-virtual-block-dm\x2d0.device changed dead -> plugged
[   40.354768] systemd[1]: Accepted connection on private bus.
[   40.355473] systemd[1]: Got D-Bus request: org.freedesktop.systemd1.Agent.Released() on /org/freedesktop/systemd1/agent
[   40.355669] systemd[1]: systemd-random-seed-load.service: cgroup is empty
[   40.355789] systemd-tmpfiles[612]: Successfully loaded SELinux database in 17ms 211us, size on heap is 464K.
[   40.355827] systemd[1]: Got D-Bus request: org.freedesktop.DBus.Local.Disconnected() on /org/freedesktop/DBus/Local
[   40.356127] systemd[1]: Got D-Bus request: org.freedesktop.systemd1.Agent.Released() on /org/freedesktop/systemd1/agent
[   40.356359] systemd[1]: remount-rootfs.service: cgroup is empty
[   40.356399] systemd[1]: Got D-Bus request: org.freedesktop.DBus.Local.Disconnected() on /org/freedesktop/DBus/Local
[   40.400131] write_net_rules used greatest stack depth: 4960 bytes left
[   40.417164] systemd[1]: sys-devices-vio-30000004-net-eth0.device changed dead -> plugged
[   40.423819] systemd[1]: dev-dvdrw.device changed dead -> plugged
[   40.423834] systemd[1]: dev-dvd.device changed dead -> plugged
[   40.423849] systemd[1]: dev-cdrw.device changed dead -> plugged
[   40.423861] systemd[1]: dev-cdrom.device changed dead -> plugged
[   40.423879] systemd[1]: dev-disk-by\x2dlabel-RED_HAT.device changed dead -> plugged
[   40.423894] systemd[1]: dev-disk-by\x2dpath-scsi\x2d0:0:1:0.device changed dead -> plugged
[   40.423908] systemd[1]: dev-scd1.device changed dead -> plugged
[   40.423921] systemd[1]: dev-sr1.device changed dead -> plugged
[   40.423935] systemd[1]: sys-devices-vio-30000003-host1-target1:0:1-1:0:1:0-block-sr1.device changed dead -> plugged
[   40.423965] systemd[1]: Running GC...
[   40.427471] systemd[1]: dev-disk-by\x2did-scsi\x2dSAIX_VDASD_00c0061a00004c00000001311a99254b.19.device changed dead -> plugged
[   40.427498] systemd[1]: dev-sda.device changed dead -> plugged
[   40.427518] systemd[1]: sys-devices-vio-30000002-host0-target0:0:1-0:0:1:0-block-sda.device changed dead -> plugged
[   40.512859] systemd[1]: Received SIGCHLD from PID 612 (systemd-tmpfile).
[   40.513010] systemd[1]: Got SIGCHLD for process 612 (systemd-tmpfile)
[   40.513314] systemd[1]: Child 612 died (code=exited, status=0/SUCCESS)
[   40.513325] systemd[1]: Child 612 belongs to systemd-tmpfiles-setup.service
[   40.513339] systemd[1]: systemd-tmpfiles-setup.service: main process exited, code=exited, status=0
[   40.526565] systemd[1]: systemd-tmpfiles-setup.service changed start -> exited
[   40.526586] systemd[1]: Job systemd-tmpfiles-setup.service/start finished, result=done
Started Recreate Volatile Files and Directories.
[   40.527355] systemd[1]: sysinit.target changed dead -> active
[   40.527370] systemd[1]: Job sysinit.target/start finished, result=done
[   40.527414] systemd[1]: systemd-tmpfiles-clean.timer changed dead -> waiting
[   40.527431] systemd[1]: Job systemd-tmpfiles-clean.timer/start finished, result=done
[   40.528159] systemd[1]: SELinux Socket context for /bin/dbus-daemon will be set to system_u:system_r:kernel_t:s0
[   40.536451] systemd[1]: dbus.socket changed dead -> listening
[   40.536481] systemd[1]: Job dbus.socket/start finished, result=done
[   40.536510] systemd[1]: sockets.target changed dead -> active
[   40.536524] systemd[1]: Job sockets.target/start finished, result=done
[   40.536627] systemd[1]: Accepted connection on private bus.
[   40.536921] systemd[1]: Got D-Bus request: org.freedesktop.systemd1.Agent.Released() on /org/freedesktop/systemd1/agent
[   40.537251] systemd[1]: systemd-tmpfiles-setup.service: cgroup is empty
[   40.537380] systemd[1]: Got D-Bus request: org.freedesktop.DBus.Local.Disconnected() on /org/freedesktop/DBus/Local
[   40.551686] systemd[1]: dev-disk-by\x2dpath-scsi\x2d0:0:1:0\x2dpart3.device changed dead -> plugged
[   40.551714] systemd[1]: dev-disk-by\x2did-scsi\x2dSAIX_VDASD_00c0061a00004c00000001311a99254b.19\x2dpart3.device changed dead -> plugged
[   40.551735] systemd[1]: dev-sda3.device changed dead -> plugged
[   40.551749] systemd[1]: sys-devices-vio-30000002-host0-target0:0:1-0:0:1:0-block-sda-sda3.device changed dead -> plugged
[   40.555181] systemd[1]: dev-disk-by\x2dpath-scsi\x2d0:0:1:0\x2dpart1.device changed dead -> plugged
[   40.555201] systemd[1]: dev-disk-by\x2did-scsi\x2dSAIX_VDASD_00c0061a00004c00000001311a99254b.19\x2dpart1.device changed dead -> plugged
[   40.555222] systemd[1]: dev-sda1.device changed dead -> plugged
[   40.555236] systemd[1]: sys-devices-vio-30000002-host0-target0:0:1-0:0:1:0-block-sda-sda1.device changed dead -> plugged
[   40.559748] systemd[1]: dev-disk-by\x2duuid-d9009c81\x2d6a5a\x2d44eb\x2d92f4\x2dc7821b4aade7.device changed dead -> plugged
[   40.559770] systemd[1]: dev-disk-by\x2dpath-scsi\x2d0:0:1:0\x2dpart2.device changed dead -> plugged
[   40.559788] systemd[1]: dev-disk-by\x2did-scsi\x2dSAIX_VDASD_00c0061a00004c00000001311a99254b.19\x2dpart2.device changed dead -> plugged
[   40.559808] systemd[1]: dev-sda2.device changed dead -> plugged
[   40.559821] systemd[1]: sys-devices-vio-30000002-host0-target0:0:1-0:0:1:0-block-sda-sda2.device changed dead -> plugged
[   40.559850] systemd[1]: Running GC...
[   40.593529] systemd[1]: Received SIGCHLD from PID 589 (udevadm).
[   40.593640] systemd[1]: Got SIGCHLD for process 589 (udevadm)
[   40.594014] systemd[1]: Child 589 died (code=exited, status=0/SUCCESS)
[   40.594026] systemd[1]: Child 589 belongs to udev-settle.service
[   40.594048] systemd[1]: udev-settle.service: main process exited, code=exited, status=0
[   40.632184] systemd[1]: udev-settle.service changed start -> exited
[   40.632207] systemd[1]: Job udev-settle.service/start finished, result=done
Started udev Wait for Complete Device Initialization.
[   40.633013] systemd[1]: basic.target changed dead -> active
[   40.633026] systemd[1]: Job basic.target/start finished, result=done
Starting Yet Another Bash Shell...
[   40.633504] systemd[1]: About to execute: /bin/bash
[   40.668230] systemd[1]: Forked /bin/bash as 645
[   40.668465] systemd[1]: loader.service changed dead -> start
Starting Shell on tty2...
[   40.668628] systemd[1]: About to execute: /sbin/agetty -n tty2 38400
[   40.717183] systemd[1]: Forked /sbin/agetty as 646
[   40.717547] systemd[1]: anaconda-shell.service changed dead -> running
[   40.717579] systemd[1]: Job anaconda-shell.service/start finished, result=done
Started Shell on tty2.
[   40.717974] systemd[1]: anaconda.target changed dead -> active
[   40.718000] systemd[1]: Job anaconda.target/start finished, result=done
[   40.718188] systemd[1]: Accepted connection on private bus.
[   40.718535] systemd[1]: Got D-Bus request: org.freedesktop.systemd1.Agent.Released() on /org/freedesktop/systemd1/agent
[   40.718645] systemd[1]: udev-settle.service: cgroup is empty
[   40.718756] systemd[1]: Got D-Bus request: org.freedesktop.DBus.Local.Disconnected() on /org/freedesktop/DBus/Local
[   43.166491] systemd[1]: dev-disk-by\x2dpath-scsi\x2d0:0:2:0.device changed dead -> plugged
[   43.166528] systemd[1]: dev-scd0.device changed dead -> plugged
[   43.166544] systemd[1]: dev-sr0.device changed dead -> plugged
[   43.166558] systemd[1]: sys-devices-vio-30000002-host0-target0:0:2-0:0:2:0-block-sr0.device changed dead -> plugged

Comment 1 Bill Nottingham 2011-09-07 23:01:39 UTC
'systemctl daemon-reload' needed?

Comment 2 Mark Hamzy 2011-09-08 14:01:44 UTC
H(In reply to comment #1)
> 'systemctl daemon-reload' needed?

Hi Bill,

How would I run that command?  What file should it go in?

Comment 3 Bill Nottingham 2011-09-08 16:46:22 UTC
It should go after you're done mucking with the service files.

Comment 4 Mark Hamzy 2011-09-08 19:42:27 UTC
(In reply to comment #3)
> It should go after you're done mucking with the service files.

I muck with the service files before the root is switched thanks to rd.break.  I don't think systemd has been started yet at this point.

switch_root:/# systemctl daemon-reload
process 503: arguments to dbus_connection_send_with_reply_and_block() were incorrect, assertion "connection != NULL" failed in file dbus-connection.c line 3524.
This is normally a bug in some application using the D-Bus library.
  D-Bus not built with -rdynamic so unable to print a backtrace
Aborted

Comment 5 Mark Hamzy 2011-09-08 19:45:14 UTC
Okay, so the following seems to work.  However, I wonder if it is the correct thing to do.

switch_root:/# cp /sysroot/lib/systemd/system/loader.service /sysroot/lib/systemd/system/loader2.service
switch_root:/# sed -i -e 's,Description=.*$,Description=Yet Another Bash Shell,' /sysroot/lib/systemd/system/loader.service
switch_root:/# sed -i -e 's,/sbin/loader,/bin/bash,' /sysroot/lib/systemd/system/loader.service
switch_root:/# cat << __EOF__ > /sysroot/lib/systemd/system/anaconda-shell.service
[Unit]
Description=Shell on hvc0
BindTo=dev-hvc0.device
After=dev-hvc0.device

[Service]
Environment=TERM=linux
WorkingDirectory=/
ExecStart=-/sbin/agetty -n hvc0 38400
Restart=always
RestartSec=0
TimeoutSec=0
TTYPath=/dev/hvc0
TTYReset=yes
TTYVHangup=yes
TTYVTDisallocate=yes
KillSignal=SIGHUP
__EOF__
switch_root:/# exit

Comment 6 Will Woods 2011-09-12 21:29:22 UTC
I'm almost certain that you're having problems because you're trying to just replace loader with bash. This probably won't work, because loader has code to:

1) wait for devices to appear in /dev, and
2) set up serial/virtual consoles like hvc0

but bash doesn't. So you need to use systemd to accomplish #1 (by using "After=dev-hvc0.device"), and agetty to accomplish #2 ("ExecStart=-/sbin/agetty -n hvc0 38400").

Basically, I believe your approach in comment #5 is the Right Way To Do It.

Comment 7 Lennart Poettering 2011-09-19 23:21:18 UTC
I am not sure I grok what this bug report is about. But have you checked whether systemd actually loaded your changed unit files? Try "systemctl show loader.service" and check whether that output matches your changes.

Comment 8 Fedora Admin XMLRPC Client 2011-10-20 16:30:47 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.